Package net.sourceforge.jiu.codecs.tiff

# Interface TIFFConstants

All Known Implementing Classes:
  `TIFFCodec`, `TIFFImageFileDirectory`, `TIFFTag`

public interface TIFFConstants
This class provides a lot of constant values for a TIFF encoder or decoder.

Author:
  Marco Schmidt

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`COMPRESSION_CCITT_GROUP3_1D_MODIFIED_HUFFMAN`
`static final int`
`COMPRESSION_CCITT_T4`
`static final int`
`COMPRESSION_CCITT_T6`
`static final int`
`COMPRESSION_DEFLATED_INOFFICIAL`
`static final int`
`COMPRESSION_DEFLATED_OFFICIAL`
`static final int`
`COMPRESSION_JBIG`
`static final int`
`COMPRESSION_JBIG2`
`static final int`
`COMPRESSION_JPEG_6_0`
`static final int`
`COMPRESSION_JPEG_POST_6_0`
`static final int`
`COMPRESSION_LZW`
`static final int`
`COMPRESSION_NEXT`
`static final int`
`COMPRESSION_NONE`
`static final int`
`COMPRESSION_NONE_WORD_ALIGNED`
`static final int`
`COMPRESSION_PACKBITS`
`static final int`
`COMPRESSION_SGI_LOG_24_PACKED`
`static final int`
`COMPRESSION_SGI_LOG_RLE`
`static final int`
`COMPRESSION_THUNDERSCAN`
`static final int`
`PHOTOMETRIC_BLACK_IS_ZERO`
`static final int`
`PHOTOMETRIC_LOGL`
`static final int`
`PHOTOMETRIC_PALETTED`
`static final int`
`PHOTOMETRIC_TRUECOLOR_CMYK`
`static final int`
`PHOTOMETRIC_TRUECOLOR_LOGLUV`
`static final int`
`PHOTOMETRIC_TRUECOLOR_RGB`
`static final int`
`PHOTOMETRIC_WHITE_IS_ZERO`
`static final int`
`PLANAR_CONFIGURATION_CHUNKY`
`static final int`
`PLANAR_CONFIGURATION_PLANAR`
`static final int`
`TAG_ARTIST`
`static final int`
`TAG_BAD_FAX_LINES`
`static final int`
`TAG_BITS_PER_SAMPLE`
`static final int`
`TAG_CELL_LENGTH`
`static final int`
`TAG_CELL_WIDTH`
`static final int`
`TAG_CLEAN_FAX_DATA`
`static final int`
`TAG_COLOR_MAP`
`static final int`
`TAG_COMPRESSION`
`static final int`
`TAG_CONSECUTIVE_BAD_FAX_LINES`
`static final int`
`TAG_COPYRIGHT`
`static final int`
`TAG_DATE_TIME`
`static final int`
`TAG_DOCUMENT_NAME`
`static final int`
`TAG_EXTRA_SAMPLES`
`static final int`
`TAG_FILL_ORDER`
`static final int`
`TAG_FREE_BYTE_COUNTS`
`static final int`
`TAG_FREE_OFFSETS`
`static final int`
`TAG_GRAY_RESPONSE_CURVE`
`static final int`
`TAG_GRAY_RESPONSE_UNIT`
`static final int`
`TAG_HOST_COMPUTER`
`static final int`
`TAG_IMAGE_DESCRIPTION`
`static final int`
`TAG_IMAGE_LENGTH`
`static final int`
`TAG_IMAGE_WIDTH`
`static final int`
`TAG_LENGTH`
Length of a tag (an image file directory entry) in bytes (12).
`static final int`
`TAG_MAKE`
`static final int`
`TAG_MAX_SAMPLE_VALUE`
`static final int`
`TAG_MIN_SAMPLE_VALUE`
`static final int`
`TAG_MODEL`
`static final int`
`TAG_NEW_SUBFILE_TYPE`
`static final int`
`TAG_ORIENTATION`
`static final int`
`TAG_PHOTOMETRIC_INTERPRETATION`
`static final int`
`TAG_PHOTOSHOP_IMAGE_RESOURCES`
`static final int`
`TAG_PLANAR_CONFIGURATION`
`static final int`
`TAG_PREDICTOR`
`static final int`
`TAG_RESOLUTION_UNIT`
`static final int`
`TAG_RESOLUTION_X`
`static final int`
`TAG_RESOLUTION_Y`
`static final int`
`TAG_ROWS_PER_STRIP`
`static final int`
`TAG_SAMPLES_PER_PIXEL`
`static final int`
`TAG_SOFTWARE`
`static final int`
`TAG_STRIP_BYTE_COUNTS`
`static final int`
`TAG_STRIP_OFFSETS`
`static final int`
`TAG_T4_OPTIONS`
`static final int`
`TAG_T6_OPTIONS`
`static final int`
`TAG_TILE_BYTE_COUNTS`
`static final int`
`TAG_TILE_HEIGHT`
`static final int`
`TAG_TILE_OFFSETS`
`static final int`
`TAG_TILE_WIDTH`
`static final int`
`TAG_TYPE_ASCII`
`static final int`
`TAG_TYPE_BYTE`
`static final int`
`TAG_TYPE_DOUBLE`
`static final int`
`TAG_TYPE_FLOAT`
`static final int`
`TAG_TYPE_LONG`
`static final int`
`TAG_TYPE_RATIONAL`
`static final int`
`TAG_TYPE_SBYTE`
`static final int`
`TAG_TYPE_SHORT`
`static final int`
`TAG_TYPE_SLONG`
`static final int`
`TAG_TYPE_SRATIONAL`
`static final int`
`TAG_TYPE_SSHORT`
`static final int`
`TAG_TYPE_UNDEFINED`

## Field Details

### COMPRESSION_NONE

static final int COMPRESSION_NONE

See Also:
  - Constant Field Values

### COMPRESSION_CCITT_GROUP3_1D_MODIFIED_HUFFMAN

static final int COMPRESSION_CCITT_GROUP3_1D_MODIFIED_HUFFMAN

See Also:
  - Constant Field Values

### COMPRESSION_CCITT_T4

static final int COMPRESSION_CCITT_T4

See Also:
  - Constant Field Values

### COMPRESSION_CCITT_T6

static final int COMPRESSION_CCITT_T6

See Also:
  - Constant Field Values

### COMPRESSION_LZW

static final int COMPRESSION_LZW

See Also:
  - Constant Field Values

### COMPRESSION_JPEG_6_0

static final int COMPRESSION_JPEG_6_0

See Also:
  - Constant Field Values

### COMPRESSION_JPEG_POST_6_0

static final int COMPRESSION_JPEG_POST_6_0

See Also:
  - Constant Field Values

### COMPRESSION_DEFLATED_OFFICIAL

static final int COMPRESSION_DEFLATED_OFFICIAL

See Also:
  - Constant Field Values

### COMPRESSION_NEXT

static final int COMPRESSION_NEXT

See Also:
  - Constant Field Values

### COMPRESSION_NONE_WORD_ALIGNED

static final int COMPRESSION_NONE_WORD_ALIGNED

See Also:
  - Constant Field Values

### COMPRESSION_PACKBITS

static final int COMPRESSION_PACKBITS

See Also:
  - Constant Field Values

### COMPRESSION_THUNDERSCAN

static final int COMPRESSION_THUNDERSCAN

See Also:
  - Constant Field Values

### COMPRESSION_DEFLATED_INOFFICIAL

static final int COMPRESSION_DEFLATED_INOFFICIAL

See Also:
  - Constant Field Values

### COMPRESSION_JBIG

static final int COMPRESSION_JBIG

See Also:
  - Constant Field Values

### COMPRESSION_SGI_LOG_RLE

static final int COMPRESSION_SGI_LOG_RLE

See Also:
  - Constant Field Values

### COMPRESSION_SGI_LOG_24_PACKED

static final int COMPRESSION_SGI_LOG_24_PACKED

See Also:
  - Constant Field Values

### COMPRESSION_JBIG2

static final int COMPRESSION_JBIG2

See Also:
  - Constant Field Values

### PHOTOMETRIC_WHITE_IS_ZERO

static final int PHOTOMETRIC_WHITE_IS_ZERO

See Also:
  - Constant Field Values

### PHOTOMETRIC_BLACK_IS_ZERO

static final int PHOTOMETRIC_BLACK_IS_ZERO

See Also:
  - Constant Field Values

### PHOTOMETRIC_PALETTED

static final int PHOTOMETRIC_PALETTED

See Also:
  - Constant Field Values

### PHOTOMETRIC_TRUECOLOR_RGB

static final int PHOTOMETRIC_TRUECOLOR_RGB

See Also:
  - Constant Field Values

### PHOTOMETRIC_TRUECOLOR_CMYK

static final int PHOTOMETRIC_TRUECOLOR_CMYK

See Also:
  - Constant Field Values

### PHOTOMETRIC_LOGL

static final int PHOTOMETRIC_LOGL

See Also:
  - Constant Field Values

### PHOTOMETRIC_TRUECOLOR_LOGLUV

static final int PHOTOMETRIC_TRUECOLOR_LOGLUV

See Also:
  - Constant Field Values

### PLANAR_CONFIGURATION_CHUNKY

static final int PLANAR_CONFIGURATION_CHUNKY

See Also:
  - Constant Field Values

### PLANAR_CONFIGURATION_PLANAR

static final int PLANAR_CONFIGURATION_PLANAR

See Also:
  - Constant Field Values

### TAG_LENGTH

static final int TAG_LENGTH
Length of a tag (an image file directory entry) in bytes (12).

See Also:
  - Constant Field Values

### TAG_TYPE_BYTE

static final int TAG_TYPE_BYTE

See Also:
  - Constant Field Values

### TAG_TYPE_ASCII

static final int TAG_TYPE_ASCII

See Also:
  - Constant Field Values

### TAG_TYPE_SHORT

static final int TAG_TYPE_SHORT

See Also:
  - Constant Field Values

### TAG_TYPE_LONG

static final int TAG_TYPE_LONG

See Also:
  - Constant Field Values

### TAG_TYPE_RATIONAL

static final int TAG_TYPE_RATIONAL

See Also:
  - Constant Field Values

### TAG_TYPE_SBYTE

static final int TAG_TYPE_SBYTE

See Also:
  - Constant Field Values

### TAG_TYPE_UNDEFINED

static final int TAG_TYPE_UNDEFINED

See Also:
  - Constant Field Values

### TAG_TYPE_SSHORT

static final int TAG_TYPE_SSHORT

See Also:
  - Constant Field Values

### TAG_TYPE_SLONG

static final int TAG_TYPE_SLONG

See Also:
  - Constant Field Values

### TAG_TYPE_SRATIONAL

static final int TAG_TYPE_SRATIONAL

See Also:
  - Constant Field Values

### TAG_TYPE_FLOAT

static final int TAG_TYPE_FLOAT

See Also:
  - Constant Field Values

### TAG_TYPE_DOUBLE

static final int TAG_TYPE_DOUBLE

See Also:
  - Constant Field Values

### TAG_ARTIST

static final int TAG_ARTIST

See Also:
  - Constant Field Values

### TAG_BAD_FAX_LINES

static final int TAG_BAD_FAX_LINES

See Also:
  - Constant Field Values

### TAG_BITS_PER_SAMPLE

static final int TAG_BITS_PER_SAMPLE

See Also:
  - Constant Field Values

### TAG_CELL_LENGTH

static final int TAG_CELL_LENGTH

See Also:
  - Constant Field Values

### TAG_CELL_WIDTH

static final int TAG_CELL_WIDTH

See Also:
  - Constant Field Values

### TAG_CLEAN_FAX_DATA

static final int TAG_CLEAN_FAX_DATA

See Also:
  - Constant Field Values

### TAG_COLOR_MAP

static final int TAG_COLOR_MAP

See Also:
  - Constant Field Values

### TAG_COMPRESSION

static final int TAG_COMPRESSION

See Also:
  - Constant Field Values

### TAG_CONSECUTIVE_BAD_FAX_LINES

static final int TAG_CONSECUTIVE_BAD_FAX_LINES

See Also:
  - Constant Field Values

### TAG_COPYRIGHT

static final int TAG_COPYRIGHT

See Also:
  - Constant Field Values

### TAG_DATE_TIME

static final int TAG_DATE_TIME

See Also:
  - Constant Field Values

### TAG_DOCUMENT_NAME

static final int TAG_DOCUMENT_NAME

See Also:
  - Constant Field Values

### TAG_EXTRA_SAMPLES

static final int TAG_EXTRA_SAMPLES

See Also:
  - Constant Field Values

### TAG_FILL_ORDER

static final int TAG_FILL_ORDER

See Also:
  - Constant Field Values

### TAG_FREE_BYTE_COUNTS

static final int TAG_FREE_BYTE_COUNTS

See Also:
  - Constant Field Values

### TAG_FREE_OFFSETS

static final int TAG_FREE_OFFSETS

See Also:
  - Constant Field Values

### TAG_GRAY_RESPONSE_CURVE

static final int TAG_GRAY_RESPONSE_CURVE

See Also:
  - Constant Field Values

### TAG_GRAY_RESPONSE_UNIT

static final int TAG_GRAY_RESPONSE_UNIT

See Also:
  - Constant Field Values

### TAG_HOST_COMPUTER

static final int TAG_HOST_COMPUTER

See Also:
  - Constant Field Values

### TAG_IMAGE_DESCRIPTION

static final int TAG_IMAGE_DESCRIPTION

See Also:
  - Constant Field Values

### TAG_IMAGE_LENGTH

static final int TAG_IMAGE_LENGTH

See Also:
  - Constant Field Values

### TAG_IMAGE_WIDTH

static final int TAG_IMAGE_WIDTH

See Also:
  - Constant Field Values

### TAG_MAKE

static final int TAG_MAKE

See Also:
  - Constant Field Values

### TAG_MAX_SAMPLE_VALUE

static final int TAG_MAX_SAMPLE_VALUE

See Also:
  - Constant Field Values

### TAG_MIN_SAMPLE_VALUE

static final int TAG_MIN_SAMPLE_VALUE

See Also:
  - Constant Field Values

### TAG_MODEL

static final int TAG_MODEL

See Also:
  - Constant Field Values

### TAG_NEW_SUBFILE_TYPE

static final int TAG_NEW_SUBFILE_TYPE

See Also:
  - Constant Field Values

### TAG_ORIENTATION

static final int TAG_ORIENTATION

See Also:
  - Constant Field Values

### TAG_PHOTOMETRIC_INTERPRETATION

static final int TAG_PHOTOMETRIC_INTERPRETATION

See Also:
  - Constant Field Values

### TAG_PHOTOSHOP_IMAGE_RESOURCES

static final int TAG_PHOTOSHOP_IMAGE_RESOURCES

See Also:
  - Constant Field Values

### TAG_PLANAR_CONFIGURATION

static final int TAG_PLANAR_CONFIGURATION

See Also:
  - Constant Field Values

### TAG_PREDICTOR

static final int TAG_PREDICTOR

See Also:
  - Constant Field Values

### TAG_RESOLUTION_UNIT

static final int TAG_RESOLUTION_UNIT

See Also:
  - Constant Field Values

### TAG_RESOLUTION_X

static final int TAG_RESOLUTION_X

See Also:
  - Constant Field Values

### TAG_RESOLUTION_Y

static final int TAG_RESOLUTION_Y

See Also:
  - Constant Field Values

### TAG_ROWS_PER_STRIP

static final int TAG_ROWS_PER_STRIP

See Also:
  - Constant Field Values

### TAG_SAMPLES_PER_PIXEL

static final int TAG_SAMPLES_PER_PIXEL

See Also:
  - Constant Field Values

### TAG_SOFTWARE

static final int TAG_SOFTWARE

See Also:
  - Constant Field Values

### TAG_STRIP_BYTE_COUNTS

static final int TAG_STRIP_BYTE_COUNTS

See Also:
  - Constant Field Values

### TAG_STRIP_OFFSETS

static final int TAG_STRIP_OFFSETS

See Also:
  - Constant Field Values

### TAG_T4_OPTIONS

static final int TAG_T4_OPTIONS

See Also:
  - Constant Field Values

### TAG_T6_OPTIONS

static final int TAG_T6_OPTIONS

See Also:
  - Constant Field Values

### TAG_TILE_BYTE_COUNTS

static final int TAG_TILE_BYTE_COUNTS

See Also:
  - Constant Field Values

### TAG_TILE_HEIGHT

static final int TAG_TILE_HEIGHT

See Also:
  - Constant Field Values

### TAG_TILE_OFFSETS

static final int TAG_TILE_OFFSETS

See Also:
  - Constant Field Values

### TAG_TILE_WIDTH

static final int TAG_TILE_WIDTH

See Also:
  - Constant Field Values